
def zip(*iterables):
    """
    Compresses a list of iterables into a single iterable that produces tuples of elements from each iterable.

    Args:
        *iterables: A variable number of iterable arguments.

    Returns:
        An iterator that aggregates elements from each of the iterables.

    Example:
        >>> list(zip([1, 2, 3], ['a', 'b', 'c']))
        [(1, 'a'), (2, 'b'), (3, 'c')]
    """
    # Use zip from the built-in collections module
    return zip(*iterables)



